Bug 449255 - totem fails to play dvgrab output; totem 2.18.3-1.fc7 plays the same file
totem fails to play dvgrab output; totem 2.18.3-1.fc7 plays the same file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 23:04 EDT by Chris MacGregor
Modified: 2009-07-14 13:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample dvgrab output which old totem plays and new one cannot (3.43 MB, application/octet-stream)
2008-05-31 23:04 EDT, Chris MacGregor
no flags Details

  None (edit)
Description Chris MacGregor 2008-05-31 23:04:17 EDT
Description of problem:
totem 2.23.2-2.fc9 gets a BadAlloc from X trying to play a file captured with
dvgrab; totem 2.18.3-1.fc7 can play the same file with no trouble.

Version-Release number of selected component (if applicable):
totem 2.23.2-2.fc9

How reproducible:
100%

Steps to Reproduce:
1. Run totem on attached testcase
  
Actual results:
crashes with BadAlloc from X.

Expected results:
plays video.
Comment 1 Chris MacGregor 2008-05-31 23:04:17 EDT
Created attachment 307297 [details]
Sample dvgrab output which old totem plays and new one cannot
Comment 2 Stewart Adam 2008-05-31 23:55:31 EDT
It works here - What X driver and totem backend are you using?
Comment 3 Chris MacGregor 2008-06-01 00:25:37 EDT
xorg-x11-drv-ati-6.8.0-14.fc9.i386.rpm

How would I determine which totem back end I'm using?  The About box says it's
using gstreamer 0.10.19 - does that answer the question?

When I run "totem --sync" and then load the file, it gets as far as switching
the message in the status bar in the lower left to "Playing" and then falls over
with:

The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 61 error_code 11 request_code 140 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 4 Bastien Nocera 2008-06-01 08:35:48 EDT
This means that Xv doesn't enough space to show the video.

Make sure that compositing managers (such as compiz) are disabled. If it still
doesn't work, pipe the output of dvgrab to a file, and use totem-video-indexer
or the nautilus property window to see the dimensions of the video.
Comment 5 Chris MacGregor 2008-06-03 01:24:26 EDT
I'm playing it from a file already; a sample is attached to this bug.  Here's
what totem-video-indexer says about it:

TOTEM_INFO_DURATION=1
TOTEM_INFO_HAS_VIDEO=True
TOTEM_INFO_VIDEO_WIDTH=720
TOTEM_INFO_VIDEO_HEIGHT=480
TOTEM_INFO_FPS=30
TOTEM_INFO_HAS_AUDIO=True
TOTEM_INFO_AUDIO_SAMPLE_RATE=32000
TOTEM_INFO_AUDIO_CHANNELS=Stereo

Nautilus concurs.  Grepping ps output for compiz shows nothing.  Next step?
Comment 6 Bastien Nocera 2008-06-03 05:06:40 EDT
Which video card are you using?
Comment 7 Chris MacGregor 2008-06-03 10:47:54 EDT
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility
M6 LY [1002:4c59] (prog-if 00 [VGA controller])
        Subsystem: Compaq Computer Corporation Unknown device [0e11:b11b]
        Flags: bus master, stepping, fast Back2Back, 66MHz, medium devsel,
latency 66, IRQ 11
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 2000 [size=256]
        Memory at d0100000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2
        Kernel modules: radeonfb
Comment 8 Chris MacGregor 2008-06-15 14:27:34 EDT
Anything more I can do to help here?
Comment 9 Bastien Nocera 2008-06-15 14:51:30 EDT
It's a problem with the video driver.
Comment 10 Matěj Cepl 2008-06-15 14:57:53 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 11 Chris MacGregor 2008-06-15 15:04:54 EDT
This happens to be the same machine for which I reported bug 449254, so the
attachments there apply here.  Would you like me to attach them here as well?
Comment 12 Matěj Cepl 2008-06-15 17:20:28 EDT
No, that's OK.

attachment 308187 [details] is /etc/X11/xorg.conf
attachment 308188 [details] is /var/log/Xorg.0.log while using it
attachment 308189 [details] is /var/log/Xorg.0.log without any config file
Comment 13 Bug Zapper 2009-06-09 21:19:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:31:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.